{
  "version": "0.0.24",
  "type": "module",
  "files": [
    "dist",
    "src",
    "env.d.ts"
  ],
  "engines": {
    "node": ">=10"
  },
  "license": "MIT",
  "keywords": [
    "pridepack"
  ],
  "name": "caldaria",
  "devDependencies": {
    "@types/node": "^17.0.35",
    "eslint": "^8.21.0",
    "eslint-config-lxsmnsyc": "^0.4.8",
    "pridepack": "^2.1.2",
    "solid-js": "^1.5.1",
    "tslib": "^2.4.0",
    "typescript": "^4.7.4"
  },
  "peerDependencies": {
    "postcss": "^8",
    "solid-js": "^1.3",
    "less": "^4.1",
    "sass": "^1.54"
  },
  "peerDependenciesMeta": {
    "less": {
      "optional": true
    },
    "sass": {
      "optional": true
    },
    "stylus": {
      "optional": true
    }
  },
  "scripts": {
    "prepublishOnly": "pridepack clean && pridepack build",
    "build": "pridepack build",
    "type-check": "pridepack check",
    "lint": "pridepack lint",
    "clean": "pridepack clean",
    "watch": "pridepack watch"
  },
  "dependencies": {
    "caldaria-build": "0.0.24",
    "caldaria-islands": "0.0.24",
    "caldaria-meta": "0.0.24",
    "caldaria-render": "0.0.24",
    "caldaria-root": "0.0.24",
    "caldaria-router": "0.0.24",
    "caldaria-server": "0.0.24",
    "caldaria-shared": "0.0.24",
    "solid-marked": "^0.4.0"
  },
  "description": "SSR Framework for SolidJS",
  "repository": {
    "url": "https://github.com/lxsmnsyc/caldaria.git",
    "type": "git"
  },
  "homepage": "https://github.com/lxsmnsyc/caldaria/tree/main/packages/caldaria",
  "bugs": {
    "url": "https://github.com/lxsmnsyc/caldaria/issues"
  },
  "publishConfig": {
    "access": "public"
  },
  "author": "Alexis Munsayac",
  "private": false,
  "typesVersions": {
    "*": {
      "build": [
        "./dist/types/build.d.ts"
      ],
      "islands-client": [
        "./dist/types/islands-client.d.ts"
      ],
      "islands-server": [
        "./dist/types/islands-server.d.ts"
      ],
      "meta": [
        "./dist/types/meta.d.ts"
      ],
      "render-server": [
        "./dist/types/render-server.d.ts"
      ],
      "render-client": [
        "./dist/types/render-client.d.ts"
      ],
      "root": [
        "./dist/types/root.d.ts"
      ],
      "router": [
        "./dist/types/router.d.ts"
      ],
      "server": [
        "./dist/types/server.d.ts"
      ],
      "types": [
        "./dist/types/types.d.ts"
      ]
    }
  },
  "exports": {
    "./build": {
      "development": {
        "require": "./dist/cjs/development/build.cjs",
        "import": "./dist/esm/development/build.mjs"
      },
      "require": "./dist/cjs/production/build.cjs",
      "import": "./dist/esm/production/build.mjs",
      "types": "./dist/types/build.d.ts"
    },
    "./islands-client": {
      "development": {
        "require": "./dist/cjs/development/islands-client.cjs",
        "import": "./dist/esm/development/islands-client.mjs"
      },
      "require": "./dist/cjs/production/islands-client.cjs",
      "import": "./dist/esm/production/islands-client.mjs",
      "types": "./dist/types/islands-client.d.ts"
    },
    "./islands-server": {
      "development": {
        "require": "./dist/cjs/development/islands-server.cjs",
        "import": "./dist/esm/development/islands-server.mjs"
      },
      "require": "./dist/cjs/production/islands-server.cjs",
      "import": "./dist/esm/production/islands-server.mjs",
      "types": "./dist/types/islands-server.d.ts"
    },
    "./meta": {
      "development": {
        "require": "./dist/cjs/development/meta.cjs",
        "import": "./dist/esm/development/meta.mjs"
      },
      "require": "./dist/cjs/production/meta.cjs",
      "import": "./dist/esm/production/meta.mjs",
      "types": "./dist/types/meta.d.ts"
    },
    "./render-server": {
      "development": {
        "require": "./dist/cjs/development/render-server.cjs",
        "import": "./dist/esm/development/render-server.mjs"
      },
      "require": "./dist/cjs/production/render-server.cjs",
      "import": "./dist/esm/production/render-server.mjs",
      "types": "./dist/types/render-server.d.ts"
    },
    "./render-client": {
      "development": {
        "require": "./dist/cjs/development/render-client.cjs",
        "import": "./dist/esm/development/render-client.mjs"
      },
      "require": "./dist/cjs/production/render-client.cjs",
      "import": "./dist/esm/production/render-client.mjs",
      "types": "./dist/types/render-client.d.ts"
    },
    "./root": {
      "development": {
        "require": "./dist/cjs/development/root.cjs",
        "import": "./dist/esm/development/root.mjs"
      },
      "require": "./dist/cjs/production/root.cjs",
      "import": "./dist/esm/production/root.mjs",
      "types": "./dist/types/root.d.ts"
    },
    "./router": {
      "development": {
        "require": "./dist/cjs/development/router.cjs",
        "import": "./dist/esm/development/router.mjs"
      },
      "require": "./dist/cjs/production/router.cjs",
      "import": "./dist/esm/production/router.mjs",
      "types": "./dist/types/router.d.ts"
    },
    "./server": {
      "development": {
        "require": "./dist/cjs/development/server.cjs",
        "import": "./dist/esm/development/server.mjs"
      },
      "require": "./dist/cjs/production/server.cjs",
      "import": "./dist/esm/production/server.mjs",
      "types": "./dist/types/server.d.ts"
    },
    "./types": {
      "development": {
        "require": "./dist/cjs/development/types.cjs",
        "import": "./dist/esm/development/types.mjs"
      },
      "require": "./dist/cjs/production/types.cjs",
      "import": "./dist/esm/production/types.mjs",
      "types": "./dist/types/types.d.ts"
    }
  }
}
